%global snapshot_version 3

Name:           noise-repellent
Version:        0.1.5
Release:        1.%{snapshot_version}%{?dist}
Summary:        An lv2 plugin for broadband noise reduction

License:        LGPL-3.0
URL:            https://github.com/lucianodato/noise-repellent
Source0:        %{name}-%{version}+%{snapshot_version}.tar.xz

BuildRequires:  meson gcc fftw-devel lv2-devel

%description
An lv2 plug-in for broadband noise reduction.

Features
    -  Spectral gating and spectral subtraction suppression rule
    -  Adaptive and manual noise thresholds estimation
    -  Adjustable noise floor
    -  Adjustable offset of thresholds to perform over-subtraction
    -  Time smoothing and a masking estimation to reduce artifacts
    -  Basic onset detector to avoid transients suppression
    -  Whitening of the noise floor to mask artifacts and to recover higher frequencies
    -  Option to listen to the residual signal
    -  Soft bypass
    -  Noise profile saved with the session

%prep
%autosetup


%build
%meson
find . -name "*.c" -exec chmod -x {} ";"
find . -name "*.ttl" -exec chmod -x {} ";"
%meson_build


%install
rm -rf $RPM_BUILD_ROOT
%meson_install


%files
%license LICENSE
%doc README.md
%{_libdir}/lv2/nrepel.lv2/*


%changelog
* Wed Mar 18 2020 Olivier Samyn 🎻 <code@oleastre.be> - 0.1.5-1.3
- New upstream release 0.1.5 + 3 commits; git sha1=g7f5a8fb
- Initial package